# wxFFileOutputStream Class Reference
[Streams]

`#include <wx/wfstream.h>`

Inheritance diagram for wxFFileOutputStream:
[legend]

## Detailed Description

This class represents data written to a file.

There are actually two such groups of classes: this one is based on wxFFile whereas wxFileOutputStream is based in the wxFile class.

Note that wxOutputStream::SeekO() can seek beyond the end of the stream (file) and will thus not return wxInvalidOffset for that.

##

Library: wxBase

Category: Streams

See also:
  wxBufferedOutputStream, wxFFileInputStream, wxFileOutputStream, wxFileInputStream

## Public Member Functions
| wxFFileOutputStream (const wxString &filename, const wxString &mode="wb")
| Open the given file filename with mode mode.
| wxFFileOutputStream (wxFFile &file)
| Initializes a file stream in write-only mode using the file I/O object file.
| wxFFileOutputStream (FILE *fp)
| Initializes a file stream in write-only mode using the file descriptor fp.
virtual | ~wxFFileOutputStream ()
| Destructor.
bool | IsOk () const
| Returns true if the stream is initialized and ready.

List of all members.

## Constructor & Destructor Documentation

wxFFileOutputStream::wxFFileOutputStream | ( | const wxString & | filename,
|  | const wxString & | mode = `"wb"` |
| ) |  |  |

Open the given file filename with mode mode.

Warning:
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

wxFFileOutputStream::wxFFileOutputStream | ( | wxFFile & | file | ) |

Initializes a file stream in write-only mode using the file I/O object file.

wxFFileOutputStream::wxFFileOutputStream | ( | FILE * | fp | ) |

Initializes a file stream in write-only mode using the file descriptor fp.

virtual wxFFileOutputStream::~wxFFileOutputStream | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool wxFFileOutputStream::IsOk | ( |  | ) | const`[virtual]`

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

Reimplemented in wxFFileStream.

|  | [ top ]